<template>
	<view class="activityList">
		<statusBar :item="navbarData"></statusBar>
		<!-- <teaching-case :item="teaData"></teaching-case> -->
		<view class="" style="padding-bottom: 50rpx;">
			<teaching-case :activeList="activeList" :indexId="index"></teaching-case>
		</view>


	</view>
</template>

<script>
	export default {
		data() {
			return {
				navbarData: {
					title: '直播活动',
					btn: 1
				},
				teaData: {
					btn: 1
				},
				activeList: [],
			};
		},
		methods:{
			// 获取教研活动
			getData(){
				let data={
					openid:uni.getStorageSync('oId'),ty:0
				}
					this.$request('/selectActivity',"POST",data).then(res=>{
						console.log(res[0]);
						// this.activeList=[...this.activeList,...res[0]]
						this.activeList=res[0]
					})
			},
		},
		onShow() {
			this.getData()
		}
	}
</script>

<style lang="scss">
	.activityList {}
</style>